#ifndef _COMMON_HEAPNEW_HPP_
#define _COMMON_HEAPNEW_HPP_
#if defined(_FASTHEAP_)
#include <common/heap.hpp>

Heap &globalHeap(void);

inline
void *operator new(size_t size)
{
  return globalHeap().heapAlloc(size);
}

inline
void operator delete(void *pData)
{
  globalHeap().heapFree(pData);
}
#endif
#endif